<?php
/* tabstop=4 tabreplace=space */
/**
 * Joomla-SMF Community Builder plugin
 *
 * This file is the install of the plugin for Community Builder
 *
 * LICENSE: This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @category    Plugin
 * @package     smf_cb_plug
 * @author      Wolverine <joshualross@gmail.com>
 * @copyright   (C) joshualross.us. All rights reserved.
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version     $Id: install.smf_cb.php 45 2006-10-10 04:11:18Z joshualross $
 * @revision    $LastChangedRevision: 45 $
 * @date        $LastChangedDate: 2006-10-10 04:11:18Z $
 * @file        $HeadURL: http://scm.joomla.org/svn/repos/joomla-smf_cb_plugin/install.smf_cb.php $
 * @link        http://www.JoomlaHacks.com
 * @link        http://www.joshualross.us
 * @since       File available since Release 2.0
 *
 * Visit JoomlaHacks.com for more Joomla Hacks!
 */
defined( '_VALID_MOS' ) or die( 'Restricted access.' );

function plug_smf_cb_install() {
    global $database;
    $html =
'<p>Features - <br />
<ul>
    <li>Login from CB login module</li>
    <li>Logout from CB login module</li>
    <li>User registration synchronizes to SMF</li>
    <li>User activation synchronizes to SMF</li>
    <li>New user addition by admin synchronizes to SMF</li>
    <li>User deletion synchronizes to SMF</li>
    <li>User update synchronizes to SMF</li>
    <li>Avatar update synchronizes to SMF</li>
    <li>Password changes sync to SMF</li>
    <li>On new user and user registration events, SMF validatation occurs to check username or email address is not already registered</li>
</ul></p><hr />
    <div align="left"><code>Publish plugin: ';

    //let's publish ourselves
    $query =
        "UPDATE #__comprofiler_plugin " .
        "SET published = 1 " .
        "WHERE element = 'smf_cb' " .
        "LIMIT 1";

    $database->setQuery($query);
    if ($database->query()) {
        $html .= '<font color=green>Successful</font>';
    } else {
    	$html .= '<font color=red>Failed ('.$query.')</font>  Please publish this plugin manually.';
    }

    $html .= '
    </code></div>
    <div align="left"><code>Installation: <font color=green>Successful</font></code></div>';

    return $html;
}




?>
